WebSphere server connector API change

In a custom plugin I need to check for the version of WAS that is being launched. It seems that the API in Nika has changed a bit and the plugin fails to do its job now.

Here's how the code looked like for the versions prior to 11:

isWasAtLeast61.png
So what is required is to check, if the WAS version is 6.1 or later.

Could anyone to suggest how to check for this version in case of IntelliJ 11?

4 comments
Comment actions Permalink

Hello,

I am developer responsible for WS integration in IDEA, but I will need some time to dig into that.
Is there an option to get the sources of your plugin (or only the part that is related to the WS integration)?

Regards,
Michael

0
Comment actions Permalink

Unfortunately the code repository isn't public so I couldn't open it.
But I could send the sources to you directly. Would that work?

0
Comment actions Permalink

Hello,

Sure it will, but I think it would be more convenent if you created YouTrack for that and attached there.
Note that there is an option to make attachment visible only to IDEA developers if you like to do so.

Regards,
Michael

0

Please sign in to leave a comment.